Results 1 to 5 of 5
  1. #1
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    8,680
    Plugin Contributions
    9

    Default CKEDITOR Fails after upgrade from 1.5.1

    Test site loaded with 1.5.7d, new DB, and following mods:
    Edit Orders
    OPC
    Sitemap XML4
    Clone a Template
    Bootstrap and Colors
    Display Log Files
    Mod List

    Removed and replaced DB with the old. Weird that it showed up during upgrade as 1.5.3 although site's current version shows 1.5.1.
    Had to make the usual changes for utf8, dates, password lengths and a couple of changes to constants in the database (adding the missing default currency variable to AIM was one. The other was a change in a variable name I can't recall at the moment.

    Countries table was, of course, a problem that we worked around by pulling the 1.5.7 table into the old DB when copying it to the new test site.

    Finally had everything rocking along until we tried to update a category description. CKEDITOR will not save html formatted text for a category description. You can directly enter the html code into the database and it will appear properly on the page. If you then go inot the admin to the category's description, you will see the output and the correct html when Source is clicked. Clicking on source again, shows the formatting result but, when you click save and go to the storefront, the data is gone totally. No partial blank page. Just gone.

    Going back into the admin and that category's description, if you do NOT click source, enter Hello World, and save, it will show up in the storefront. Also, when you return to the admin and that category description, clicking on the Source button will show that the Hello World is actually saved as html-formatted text. Hello World is saved as <p>Hello World</p>.

    Several threads in the forum address this along with listings of CKEDITOR problems with other venues.

    https://www.zen-cart.com/showthread....aving-in-1-5-7

    https://www.zen-cart.com/showthread....fering-formats

    https://www.zen-cart.com/showthread....-in-ADMIN-SIDE

    https://www.zen-cart.com/newreply.ph...eply&p=1330466 suggests replacing the old 1.5.1 admin/includes/ckeditor.php with the 1.5.5 version. That fails to fix the problem.

    There's a discussion on stack overflow as well. https://stackoverflow.com/questions/...on-server-side

    Any thoughts on the matter are greatly appreciated.

  2. #2
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    8,957
    Plugin Contributions
    309

    Default Re: CKEDITOR Fails after upgrade from 1.5.1

    Why are you using 1.5.7d and not 1.5.8? Are you sure this issue isn't fixed in 1.5.8?
    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.
    Do you benefit from Zen Cart? Then please support the project.

  3. #3
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    11,388
    Plugin Contributions
    80

    Default Re: CKEDITOR Fails after upgrade from 1.5.1

    Quote Originally Posted by swguy View Post
    Why are you using 1.5.7d and not 1.5.8? Are you sure this issue isn't fixed in 1.5.8?
    I'll note that the upgrade of a site from a version prior to one of the zc157-series to zc158 can be both time-consuming and error-prone.

  4. #4
    Join Date
    Feb 2011
    Posts
    2
    Plugin Contributions
    0

    Default Re: CKEDITOR Fails after upgrade from 1.5.1

    [ I'm on 1.5.8, from DB only upgrade, from 1.5.5... ] After my install, CKEditor wouldn't function as normal. I did some research, trying to find an update, such as a module. I was unable to find a newer version, to replace it with. I was however, able to get it working, I am not sure how. I think what may have gotten it started working, is trying plain text, and then switching back, to the CKEditor, going back and forth.
    So there are issues, such as there is no module for newest versions; With that said it works, although I am not sure how the issue resolved.

  5. #5
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    8,680
    Plugin Contributions
    9

    Default Re: CKEDITOR Fails after upgrade from 1.5.1

    Quote Originally Posted by swguy View Post
    Why are you using 1.5.7d and not 1.5.8? Are you sure this issue isn't fixed in 1.5.8?
    With everything of late, I felt this might need an answer.

    There are many mods that are crucial to the operation of some of our (myzencarthost.com) customers. Unfortunately a lot of them are incompatible with 1.5.8 and some may never be.

    The customer was in desperate need of an immediate update. When the appropriate mods are ready, a further upgrade will be easy.

    Meanwhile, the customer is not losing business during the busiest of times.

 

 

Similar Threads

  1. v155 Upgrade from 1.5.5 to 1.5.7 fails
    By stellarweb in forum Upgrading to 1.5.x
    Replies: 10
    Last Post: 10 Apr 2022, 01:24 AM
  2. v139h ZC upgrade fails from 1.3.9 to 1.50 using v1.5.5f install
    By Justwade in forum Upgrading to 1.5.x
    Replies: 15
    Last Post: 12 Aug 2018, 09:23 PM
  3. Error after Upgrade from 1.3.9h
    By deepfrydaniel in forum Upgrading to 1.5.x
    Replies: 10
    Last Post: 13 Oct 2014, 03:20 PM
  4. v150 CKEditor fails with norwegian language
    By hpldesign in forum General Questions
    Replies: 2
    Last Post: 5 Aug 2012, 07:36 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR